%define up_name		Aegisub

%define date		20160518
%if %{date}
%define release		%mkrel 14.git%{date}.%{rel}
%define tarballver	%{commit}
%define tarballdir	%{commit}
%define tarballgit	+git%{date}
%define commit		b118fe7e7a5c37540e2f0aa75af105e272bad234
%else
%define release		%mkrel %{rel}
%define tarballver	%{version}
%define tarballdir	v%{version}
%endif


Name:		aegisub
Version:	3.2.2
Release:	%mkrel 5
Summary:	Advanced Subtitle Editor
Group:		Video
License:	BSD
URL:		http://www.aegisub.org/
Source0:	https://github.com/Aegisub/Aegisub/archive/%{tarballdir}/%{up_name}-%{version}%{?tarballgit}.tar.xz
Source1:	git_version.h
Patch0:		0001-Add-missing-AM_GNU_GETTEXT_VERSION-macro.patch
#------------------------------------------
BuildRequires: gettext-devel
BuildRequires: %{_lib}alsa2-devel
BuildRequires: %{_lib}ass-devel
BuildRequires: %{_lib}boost-devel
BuildRequires: %{_lib}ffms2-devel
BuildRequires: %{_lib}fftw-devel
BuildRequires: %{_lib}fontconfig-devel
BuildRequires: %{_lib}hunspell-devel
BuildRequires: %{_lib}icu-devel
BuildRequires: %{_lib}portaudio-devel
BuildRequires: %{_lib}pulseaudio-devel
BuildRequires: %{_lib}uchardet-devel
BuildRequires: %{_lib}wxgtku3.0-devel
BuildRequires: %{_lib}x11-devel
BuildRequires: %{_lib}lua5.2-devel
BuildRequires: intltool
BuildRequires: mesa-devel
BuildRequires: libquadmath-devel
#------------------------------------------
Requires: lib64wxgtku3.0_0

%description
Aegisub is an advanced subtitle editor that assists in the creation of
subtitles, translations, and complex overlays using audio or video. Developed
by enthusiasts it builds on work-flows created and perfected through
professional, hobby, and everyday use.


%prep
%setup -q -n %{up_name}-%{tarballver}
%apply_patches

### Only needed if using a git snapshot (git_version.h)
cp %{SOURCE1} build/

NOCONFIGURE=1 ./autogen.sh

%build
%configure2_5x \
		--without-oss \
		--without-openal \
		--with-player-audio=PulseAudio \
		--with-wx-config=wx-config-3.0 \
		--with-build-credit="PCLinuxOS" \
		--disable-update-checker

%make

%install
rm -rf %buildroot
%make_install

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-Multimedia-Video" \
  --dir %buildroot/%{_datadir}/applications %buildroot%{_datadir}/applications/*.desktop



%find_lang %{name}

%files -f %{name}.lang
%doc automation/demos/ automation/v4-docs/
%{_bindir}/%{name}*
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_iconsdir}/hicolor/scalable/apps/%{name}.svg


%changelog
* Sat Dec 02 2017 bb2 <bb2> - 3.2.2-5pclos2017
- add req lib64wxgtku3.0_0

* Sat Sep 16 2017 bb2 <bb2> - 3.2.2-4pclos2017
- rebuild against updates

* Sat Aug 26 2017 bb2 <bb2> - 3.2.2-3pclos2017
- fix rpm group

* Mon Aug 14 2017 bb2 <bb2> - 3.2.2-2pclos2017
- rebuild against updates

* Thu Sep 01 2016 bb <bb> 3.2.2-1pclos2016
- update
- new snapshot: 3.2.2-git20160518
- commit: b118fe7e7a5c37540e2f0aa75af105e272bad234
- add an upstream patch to fix missing AM_GNU_GETTEXT_VERSION macro


